var Dfs61000_TransmissaoNfse_Service = function(ZHPromise, restEngine, General) {
    
    this.montarLotes = function(rows, size) {
        var deferred = ZHPromise.defer();
        var groups = [], i;
        for (i = 0; i < rows.length; i += size) {
            groups.push(rows.slice(i, i + size));
        }
        deferred.resolve(groups);
        return deferred.promise;
    };
    
    this.enviarLoteRps = function(lote) {
        var options = {
            "requestType": "DataSet",
            "dataset": lote
        };
        return restEngine.post("df_saida#/enviarLoteRps", options);
    };
    
    this.visualizarNFSe = function(nota) {
        return General.callRestEngine("df_saida#/visualizarNFSe", "Row", nota);
    };
    
};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfs61000_TransmissaoNfse_Service", Dfs61000_TransmissaoNfse_Service);
});