function errosAvisosNF() {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
    const z = new ZeedhiAPIConstructor(browser, protractor);
    const Helper = require('teknisa-helper');
    const geralPage = new Helper.geral();
    const protractorHelper = require('protractor-helper');
    const self = this;
    this.abrir = () => {
        z.component.menu.open();
        protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
        z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais', 'Erros e Avisos da Nota Fiscal']);
        geralPage.esperarLoading();
    };

    this.editarerroAvisoNF = (iderroaviso) => {
        geralPage.selectNative('IDERROAVISO', iderroaviso);
    };

    this.adicionarerroAvisoNFUnidade = (unidade, dserroaviso, iderroavisofil) => {
        geralPage.searchAndClickGridField('NMFILIAL', unidade, 'NMFILIAL');
        geralPage.clickAdicionar();
        geralPage.selectNative('DSERROAVISO', dserroaviso);
        geralPage.selectNative('IDERROAVISOFIL', iderroavisofil);
        geralPage.clickSalvar();
    };

    this.excluirerroAvisoNFUnidade = (unidade) => {
        geralPage.searchAndClickGridField('NMFILIAL', unidade, 'NMFILIAL');
    };

    this.editarerroAvisoUnidade = (unidade) => {
        geralPage.searchAndClickGridField('NMFILIAL', unidade, 'NMFILIAL');
    };

    this.cadautomaticoErroAvisoUnidade = (unidade, selecao, sobrescrever, ...texts) => {
        geralPage.searchAndClickGridField('NMFILIALORIGEM', unidade, 'NMFILIAL');
        geralPage.selectNative('SELECAO', selecao);
        const id = 'NMFILIALDESTINO';
        geralPage.clickField(id);

        for (let index = 0; index < (texts.length); index++) {
            geralPage.searchTextOnFloating(texts[index]);
            geralPage.clickGrid('NMFILIAL', texts[index], '9999', true);

            if (index != (texts.length - 1)) {
                browser.sleep(1100);
                protractorHelper.click(element.all(by.css('.zh-floating-control .control-handle')).get(1));
                protractorHelper.click(element.all(by.css('div.zh-floating-control li.float-action .zh-icon-search')).get(1));
            }
        }
        z.component.footer.clickRightActionByLabel('Ok', true);
        geralPage.selectNative('SOBRESCREVER', sobrescrever);
    };
}
module.exports = new errosAvisosNF();
